Bug 207498 - library modules incorrectly placed
library modules incorrectly placed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ncarg (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 09:16 EDT by Lech Lobocki
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.4.1-4.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 11:56:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lech Lobocki 2006-09-21 09:16:35 EDT
Description of problem:
improper directory structure

Version-Release number of selected component (if applicable):
ncarg-4.4.1-3.fc5

How reproducible:
100%

Steps to Reproduce:
1. yum install ncarg
2. rpm -q --list ncarg
3. ls -al /usr/lib/ncarg
4. ncargpath
5. compare the above

  
Actual results:

The directory layout  in the ncarg rpm package is incorrect:
Library modules go to /usr/lib/ncarg/ncarg/* instead
of /usr/lib/ncarg/*, as shown by the ncargpath utility.


Expected results:

library modules placed in /usr/lib/ncarg/


Additional info:

BTW, a newer version (4.4.2) of NCARG is available. Binaries
for Linux come with NCARG-dependent packages such as 
NCAR Command Language, ver. 4.2.0.a033. As this newest version
contains significant improvements over the 4.2.0.a032,
it would be highly desirable to have a consistent NCARG 4.4.2
version.
Comment 1 Orion Poplawski 2006-09-21 13:12:55 EDT
Where can I get NCARG 4.4.2?  The web site
http://ngwww.ucar.edu/ng4.4/download.html points you to 4.4.1.

I'll look into the ncargpath issues...
Comment 2 Lech Lobocki 2006-09-21 14:30:29 EDT
Good question! 
I've got the binaries with the NCL package, but - you are right!
- the NCARG page currently gives access to 4.4.1. The 4.4.2 version
is offered only for Mac, and only as binary.
I guess they simply have not update the page yet - perhaps the best
idea is to contact Mary Haley at NCAR (haley@ucar.edu).
Lech
Comment 3 Orion Poplawski 2006-09-22 11:56:28 EDT
ncargpath fixed in 4.4.1-4.fc5.  4.4.2 should be up on the download page in a
week or two and I'll release it then.

Note You need to log in before you can comment on or make changes to this bug.